# $Revision: 1.25.2.2 $, $Date: 2003/04/28 12:51:52 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Proc
%define		pnam	Simple
Summary:	Proc::Simple Perl module
Summary(cs):	Modul Proc::Simple pro Perl
Summary(da):	Perlmodul Proc::Simple
Summary(de):	Proc::Simple Perl Modul
Summary(es):	Mdulo de Perl Proc::Simple
Summary(fr):	Module Perl Proc::Simple
Summary(it):	Modulo di Perl Proc::Simple
Summary(ja):	Proc::Simple Perl ⥸塼
Summary(ko):	Proc::Simple  
Summary(no):	Perlmodul Proc::Simple
Summary(pl):	Modu Perla Proc::Simple
Summary(pt):	Mdulo de Perl Proc::Simple
Summary(pt_BR):	Mdulo Perl Proc::Simple
Summary(ru):	  Perl Proc::Simple
Summary(sv):	Proc::Simple Perlmodul
Summary(uk):	  Perl Proc::Simple
Summary(zh_CN):	Proc::Simple Perl ģ
Name:		perl-Proc-Simple
Version:	1.19
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Proc::Simple - launch and control background processes.

%description -l pl
Proc::Simple - umoliwia uruchamianie i kontrolowanie procesw w tle.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p0

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

cp -f eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitelib}/Proc/Simple.pm
%dir %{perl_sitelib}/auto/Proc
%dir %{perl_sitelib}/auto/Proc/Simple
%{perl_sitelib}/auto/Proc/Simple/autosplit.ix
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Proc-Simple.spec,v $
Revision 1.25.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.25.2.1  2003/03/13 00:58:34  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.25  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:37:49  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/07/27 21:39:30  ankry
- autosplit.ix (and necessary dirs) is back
- release 6

Revision 1.22  2002/07/18 13:44:30  ankry
- translations, cleaning
- new %%doc
- examples moved to %%{_examplesdir}
- removed autosplit.ix
- release 5

Revision 1.21  2002/07/10 08:48:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:34:05  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:19:42  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:32:57  depesz
adapterized

Revision 1.15  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.13  2001/07/25 09:13:40  mis
- autoupdated to 1.19

Revision 1.12  2001/04/17 12:14:40  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/19 14:32:55  mis
- updated (by autoup) to 1.18

Revision 1.9  2001/01/23 15:35:56  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:35:07  pius
- updated to 1.14

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
